Bug 1500951 - Can't Save Role when Enabling All Product Features for Ansible folder of a CloudForms Role
Summary: Can't Save Role when Enabling All Product Features for Ansible folder of a Cl...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.4
Assignee: lgalis
QA Contact: Landon LaSmith
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2017-10-11 20:02 UTC by myoder
Modified: 2018-06-25 14:17 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-25 14:17:08 UTC


Attachments (Terms of Use)
ansible_role (899.60 KB, application/octet-stream)
2017-10-11 20:02 UTC, myoder
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17 UTC

Description myoder 2017-10-11 20:02:54 UTC
Created attachment 1337409 [details]
ansible_role

Description of problem:
When editing the product features of a role, if you select the check box for the Ansible folder under Automation (Automation => Ansible) you are unable to save.  If you select the Ansible folder (so everything beneath is selected) you can remove a check box anywhere (including any box underneath the Ansible folder) and you will then be able to save the role.

Version-Release number of selected component (if applicable):
Seeing this on 5.8.0,

How reproducible:
Always

Steps to Reproduce:
1. Create or copy a role
2. Edit the role
3. Select the checkbox next to the Ansible folder

Actual results:
Save button is grayed out and user cannot save.

Expected results:
Save button should be blue, and user should be able to save.

Additional info:
Attaching a video showing the bug

Comment 5 Landon LaSmith 2018-04-19 16:13:51 UTC
VERIFIED in 5.8.4.1. I was able to enable the Automation->Ansible role and save the changes.

Comment 7 errata-xmlrpc 2018-06-25 14:17:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.